@echo off

call "%~d0%~p0..\set_env.cmd"

echo Creating database...
osql -b -r 0 -E -S %SERVER_NAME% -d master -i .\_CreateCatalog.sql -o %OUTPUT_FILE%
if errorlevel 1 goto batch_failed

echo Installing utils module...
osql -b -r 0 -E -S %SERVER_NAME% -d %DATABASE_NAME% -i .\Utils.sql -o %OUTPUT_FILE%
if errorlevel 1 goto batch_failed

echo Installing sales forecast module...
osql -b -r 0 -E -S %SERVER_NAME% -d %DATABASE_NAME% -i .\SalesForecast.sql -o %OUTPUT_FILE%
if errorlevel 1 goto batch_failed

goto all_done

:batch_failed               
echo Installation FAILED
exit /b 1

:all_done
echo Installed OK
exit /b 0